Skip to navigation

Create or update a registered custom entity

Deprecated

Create or update a registered custom entity.

Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_registry_idstringRequired

Request

This endpoint expects an object.
namestringRequired
registryIdstringRequired
schemaIdstringRequired
archiveRecordobjectOptional
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fieldsmap from strings to objectsOptional
Schema fields to set on the custom entity. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliaseslist of stringsOptional
Aliases to add to the custom entity
authorIdslist of stringsOptional
IDs of users to set as the custom entity's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the custom entity. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder that the entity is moved into

Response

Updated
aliaseslist of stringsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Custom Entity in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
idstringOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error